range {base} | R Documentation

## Range of Values

### Description

`range` returns a vector containing the minimum and maximum of all the given arguments.

### Usage

    range(..., na.rm = FALSE)
    range.default(..., na.rm = FALSE, finite = FALSE)

### Arguments

`...` | any `numeric` objects.
`na.rm` | logical, indicating if `NA`'s should be omitted.
`finite` | logical, indicating if all non-finite elements should be omitted.

### Details

This is a generic function; currently, it has only a default method (`range.default`).

It is also a member of the `Summary` group of functions, see `Methods`.

If `na.rm` is `FALSE`, `NA` and `NaN` values in any of the arguments will cause NA values to be returned, otherwise `NA` values are ignored.

If `finite` is `TRUE`, the minimum and maximum of all finite values is computed, i.e., `finite=TRUE` includes `na.rm=TRUE`.

### See Also

`min`, `max`, `Methods`.

### Examples

    print(r.x <- range(rnorm(100)))
    diff(r.x) # the SAMPLE range

    x <- c(NA, 1:3, -1:1/0); x
    range(x)
    range(x, na.rm = TRUE)
    range(x, finite = TRUE)

[Package Contents]